#!/bin/sh
#-----------
# File:      nanocopm.sh
# Version:   1.0
# Date:      17 May 2017
#-----------
# Purpose:   Invokes the nanoCoP-M prover
# Usage:     ./nanocopm.sh <problem file>
# Author:    Jens Otten
# Web:       www.leancop.de/nanocop-m/
# Copyright: (c) 2017 by Jens Otten
# License:   GNU General Public License
#-----------

# set modal logic to D,T,S4 or S5 [d|t|s4|s5]
LOGIC=s4
# set domain to constant,cumulative or varying [const|cumul|vary]
DOMAIN=cumul

# set nanoCoP-M prover path
PROVER_PATH=.

# set Prolog system (ECLiPSe 5.x) and path
PROLOG=eclipse
PROLOG_PATH=/usr/bin/eclipse
PROLOG_OPTIONS='-e'

# set QMLTP library path
# export QMLTP=.

if [ $# -eq 0 -o $# -gt 1 ]; then
 echo "Usage: $0 <problem file>"
 exit 2
fi

if [ ! -r "$1" ]; then
 echo "Error: File $1 not found" >&2
 exit 2
fi

FILE=$1
SET='[cut,comp(6)]'

# invoke the core prover
$PROLOG_PATH $PROLOG_OPTIONS \
   "assert(prolog('$PROLOG')),\
    ['$PROVER_PATH/nanocopm_main.pl'],\
    asserta(logic('$LOGIC')),\
    asserta(domain('$DOMAIN')),\
    nanocopm_main('$FILE',$SET,_),\
    halt."
